Get user by ID
GET
/users/{id}
const url = 'https://shoehorn.example.com/api/v1/users/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/users/exampleReturns a user’s profile including group memberships and roles.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”User details
Media type application/json
object
id
string format: uuid
email
string
name
string
picture
string
tenant_id
string
teams
Array<string>
groups
Array<string>
roles
Array<string>
last_login
string format: date-time
created_at
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "email": "example", "name": "example", "picture": "example", "tenant_id": "example", "teams": [ "example" ], "groups": [ "example" ], "roles": [ "example" ], "last_login": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z"}User not found